<!DOCTYPE html>
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes();?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo('charset');?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no, maximum-scale=1.0">

	<?php wp_head()?>
	<title><?php wp_title()?></title>

	<link rel="stylesheet" href="https://unpkg.com/leaflet@1.4.0/dist/leaflet.css"
	integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA=="
	crossorigin=""/>
	<script src="https://unpkg.com/leaflet@1.4.0/dist/leaflet.js"
	integrity="sha512-QVftwZFqvtRNi0ZyCtsznlKSWOStnDORoefr1enyq5mVL4tmKB3S/EnC3rRJcxCPavG10IcrVGSmPh6Qw5lwrg=="
	crossorigin=""></script>
	<script src="https://www.google.com/recaptcha/api.js?hl=pt-BR" async defer></script>
</head>

<body <?php body_class();?> >
	<?php if(is_page() && $slider = get_post_meta(get_the_ID(), '_page_slider_shortcode', true)): ?>
	<header class="slider-revolution">
		<?php echo do_shortcode($slider); ?>
	</header>
	<?php endif; ?>
	<div class="mobile-header show-for-small-only">
		<i class="fa fa-times fz26" onclick="jQuery('.mobile-header').removeClass('active')"></i>

		<?=wp_nav_menu(['theme_location' => 'main_menu_left', 'container' => 'nav', 'menu_id' => 'main-menu-left', 'menu_class' => 'menu'])?>
		<?=wp_nav_menu(['theme_location' => 'main_menu_right', 'container' => 'nav', 'menu_id' => 'main-menu-right', 'menu_class' => 'menu'])?>

		<div class="share">
			<ul class="nav">
				<li><a href="https://fb.mr/ComiteNacionalLulaLivre" target="_blank"><i class="fa fa-facebook"></i></a></li>
				<li><a href="https://twitter.com/ComiteLula" target="_blank"><i class="fa fa-twitter"></i></a></li>
				<li><a href="https://instagram.com/comiteslulalivre" target="_blank"><i class="fa fa-instagram"></i></a></li>
			</ul>
		</div>
	</div>
	
	<header class="main-header">
		<div class="row justify-center">
			<div class="main-header--left">
				<?=wp_nav_menu(['theme_location' => 'main_menu_left', 'container' => 'nav', 'menu_id' => 'main-menu-left', 'menu_class' => 'menu hide-for-small-only'])?>
				<div class="menu-hamburger show-for-small-only pl20">
					<i class="fa fa-bars fz26" onclick="jQuery('.mobile-header').addClass('active')"></i>
				</div>
			</div>

			<div class="main-header--center text-center">
				<a href="/"><img src="<?= get_stylesheet_directory_uri() ?>/assets/images/logo.png" alt=""></a>
			</div>

			<div class="main-header--right">
				<?=wp_nav_menu(['theme_location' => 'main_menu_right', 'container' => 'nav', 'menu_id' => 'main-menu-right', 'menu_class' => 'menu align-right hide-for-small-only '])?>
			</div>
			<div class="main-header--search">
				<form action="/" class="search-form" method="GET">
					<input type="text" name="s" placeholder="buscar">
					<a href="javascript:void(0);" onclick="toggleSearch()"><i class="fa fa-search"></i></a>
				</form>
			</div>
		</div>

	</header>
	<div id="app">
		<div id="subapp">
