<?php

/*
  Widget Name: Banner Abra Comitê
  Description: Banner Abra um Comitê Você Também
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class BannerAbraComite extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'title' => [
                'type' => 'text',
                'label' => __('Título', 'lula'),
                'default' => __('Abra um Comitê Você Também', 'lula_banner-abra-comite')
            ],
            'description' => [
                'type' => 'text',
                'label' => __('Descrição', 'lula'),
                'default' => __('Saiba como via passo-a-passo', 'lula_banner-abra-comite')
            ],
            'href' => [
                'type' => 'link',
                'sanitize' => 'url',
                'label' => __('Link', 'lula')
            ],
        ];

        parent::__construct('banner-abra-comite', __('Banner Abra Comitê', 'lula'), [
            'panels_groups' => [WIDGETGROUP_BANNERS],
            'description' => 'Banner Abra um Comitê Você Também'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('banner-abra-comite', __FILE__, 'widgets\BannerAbraComite');
