<?php

/*
  Widget Name: Banner Doe
  Description: Banner Doe para o Comitê Nacional
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class BannerDoe extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'title' => [
                'type' => 'text',
                'label' => __('Título', 'lula'),
                'default' => __('Doe para o comitê nacional', 'lula_banner-doe')
            ],
            'description' => [
                'type' => 'text',
                'label' => __('Descrição', 'lula'),
                'default' => __('Dependemos de doações para seguirmos atuando', 'lula_banner-doe')
            ],
            'href' => [
                'type' => 'link',
                'sanitize' => 'url',
                'label' => __('Link', 'lula')
            ],
        ];

        parent::__construct('banner-doe', __('Banner Doe', 'lula'), [
            'panels_groups' => [WIDGETGROUP_BANNERS],
            'description' => 'Banner Doe para o Comitê Nacional'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('banner-doe', __FILE__, 'widgets\BannerDoe');
