<?php

/*
  Widget Name: Banner Materiais
  Description: Banner Materiais de Militância
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class BannerMateriais extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'title' => [
                'type' => 'text',
                'label' => __('Título', 'lula'),
                'default' => __('Materiais de Militância', 'lula_banner-materiais')
            ],
            'description' => [
                'type' => 'text',
                'label' => __('Descrição', 'lula'),
                'default' => __('Baixe e aproprie-se das peças gráficas do Comitê', 'lula_banner-materiais')
            ],
            'href' => [
                'type' => 'link',
                'sanitize' => 'url',
                'label' => __('Link', 'lula')
            ],
        ];

        parent::__construct('banner-materiais', __('Banner Materiais', 'lula'), [
            'panels_groups' => [WIDGETGROUP_BANNERS],
            'description' => 'Banner Materiais de Militância'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('banner-materiais', __FILE__, 'widgets\BannerMateriais');
