<?php

/*
  Widget Name: Título de seção
  Description: Adiciona um título de seção
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class SectionTitle extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            
            'section_label' => [
                'type' => 'text',
                'label' => 'Título da seção'
            ],
            'label_tag' => [
                'type' => 'select',
                'label' => 'Tamanho da fonte do título',
                'default' => 'h4',
                'options' => [
                    'h4' => 'Pequeno',
                    'h3' => 'Grande',
                ]
            ],
            'label_align' => [
                'type' => 'select',
                'label' => 'Alinhamento do título',
                'default' => '',
                'options' => [
                    '' => 'Padrão',
                    'text-left' => 'Esquerda',
                    'text-center' => 'Centro',
                    'text-right' => 'Direita',
                ]
            ],
            'label_class' => [
                'type' => 'select',
                'label' => 'Estilo do título',
                'default' => 'text-black',
                'options' => [
                    'text-black' => 'Nenhum',
                    'text-primary' => 'Primário',
                    'text-secondary' => 'Secundário',
                ]
            ],
            'section_text' => [
                'type' => 'textarea',
                'label' => 'Text da seção'
            ],
            'text_align' => [
                'type' => 'select',
                'label' => 'Alinhamento do texto',
                'default' => '',
                'options' => [
                    '' => 'Padrão',
                    'text-left' => 'Esquerda',
                    'text-center' => 'Centro',
                    'text-right' => 'Direita',
                ]
            ],
            'text_class' => [
                'type' => 'select',
                'label' => 'Estilo do texto',
                'default' => '',
                'options' => [
                    '' => 'Nenhum',
                    'text-primary' => 'Primário',
                    'text-secondary' => 'Secundário',
                ]
            ],
        ];

        parent::__construct('section-title', 'Título de seção', [
            'panels_groups' => [WIDGETGROUP_MAIN],
            'description' => 'Adiciona um título de seção'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('section-title', __FILE__, 'widgets\SectionTitle');
