<?php


// Register Custom Taxonomy
function press_types_taxonomy() {

	$labels = array(
		'name'                       => _x( 'Formatos de Arquivo', 'Taxonomy General Name', 'text_domain' ),
		'singular_name'              => _x( 'Formato de Arquivo', 'Taxonomy Singular Name', 'text_domain' ),
		'menu_name'                  => __( 'Formatos de Arquivo', 'text_domain' ),
		'all_items'                  => __( 'Formatos de Arquivo', 'text_domain' ),
		'parent_item'                => __( 'Parent Item', 'text_domain' ),
		'parent_item_colon'          => __( 'Parent Item:', 'text_domain' ),
		'new_item_name'              => __( 'Novo Formato de Arquivo', 'text_domain' ),
		'add_new_item'               => __( 'Adicionar Formato de Arquivo', 'text_domain' ),
		'edit_item'                  => __( 'Editar Formato de Arquivo', 'text_domain' ),
		'update_item'                => __( 'Atualizar Formato de Arquivo', 'text_domain' ),
		'view_item'                  => __( 'Ver Formato de Arquivo', 'text_domain' ),
		'separate_items_with_commas' => __( 'Separate items with commas', 'text_domain' ),
		'add_or_remove_items'        => __( 'Add or remove items', 'text_domain' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'text_domain' ),
		'popular_items'              => __( 'Popular Items', 'text_domain' ),
		'search_items'               => __( 'Search Items', 'text_domain' ),
		'not_found'                  => __( 'Not Found', 'text_domain' ),
		'no_terms'                   => __( 'No items', 'text_domain' ),
		'items_list'                 => __( 'Items list', 'text_domain' ),
		'items_list_navigation'      => __( 'Items list navigation', 'text_domain' ),
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'press_types', array( 'press' ), $args );

}
add_action( 'init', 'press_types_taxonomy', 0 );


function lula_destaque_taxonomy() {

	$labels = array(
		'name'                       => 'Destaques',
		'singular_name'              => 'Destaque',
		'menu_name'                  => 'Destaques',
		'all_items'                  => 'Destaques',
		'parent_item'                => 'Parent Item',
		'parent_item_colon'          => 'Parent Item:',
		'new_item_name'              => 'Novo Destaque',
		'add_new_item'               => 'Adicionar Destaque',
		'edit_item'                  => 'Edit Item',
		'update_item'                => 'Update Item',
		'view_item'                  => 'View Item',
		'separate_items_with_commas' => 'Separate items with commas',
		'add_or_remove_items'        => 'Add or remove items',
		'choose_from_most_used'      => 'Choose from the most used',
		'popular_items'              => 'Popular Items',
		'search_items'               => 'Search Items',
		'not_found'                  => 'Not Found',
		'no_terms'                   => 'No items',
		'items_list'                 => 'Items list',
		'items_list_navigation'      => 'Items list navigation',
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'destaque', array( 'post' ), $args );

}
add_action( 'init', 'lula_destaque_taxonomy', 0 );

