<?php
get_header();
the_post();

add_filter('excerpt_length', function(){ return 20; }, 999);
$linha_fina = get_post_meta(get_the_ID(), 'linha_fina', true) ?: get_the_excerpt();
?>

<div class="post">
        <div class="post-header-no-img ta-c">
            <small class="mb10 text-red text-center bold d-block">
                <?php the_category(', ') ?> // <?php the_time('d.m.Y'); ?> // por <?php the_meta_author() ?>
            </small>
             <h1 class="post-title"><?php the_title(); ?></h1>
           <!-- <div class="excerpt ta-c"><?= $linha_fina ?></div> -->

            <?php if (has_post_thumbnail()): ?>
                <img class="mt50" src="<?= images\url('i-xlarge', '') ?>" alt="">
            <?php endif; ?>
        </div>

    <div class="post-content ac">
        <div id="date-row" class="fl-b mt10">
            <div><?= get_the_post_thumbnail_caption(get_the_ID()) ?></div>
        </div>

        <div class="row">
            <div class="column large-12">
                <?php the_content(); ?>
            </div>
        </div>

        <?php if (get_the_tags()): ?>
            <div class="row tags">
                <div class="tags--title">TAGS: </div>
                <?php the_tags('<span class="tag"/>', '</span><span class="tag">', '</span>'); ?>
            </div>
        <?php endif; ?>

        <div class="row related-content mt40">
        <?php
        $related_posts_ids = get_post_meta(get_the_ID(), '_post_related_content');

        if(count($related_posts_ids) > 0){
            $related_posts_ids = $related_posts_ids[0];
            $related_args = array(
                'post__in' => $related_posts_ids,
                'posts_per_page' => -1,
                'post_type' => ['post', 'page']
            );
        }else{
            $tags = wp_get_post_terms( get_queried_object_id(), 'post_tag', ['fields' => 'ids'] );
            $today = strtotime(get_the_date('m/d/Y'));

            $related_args = [
                'post__not_in'        => array( get_queried_object_id() ),
                'posts_per_page'      => 3,
                'ignore_sticky_posts' => 1,
                'orderby'             => 'rand',
                'tax_query' => [
                    [ 'taxonomy' => 'post_tag', 'terms'    => $tags ]
                ],
                'date_query'    => array(
                    'column'  => 'post_date',
                    'after'   => date('m/d/Y', $today - 2629743),
                    'before'  => date('m/d/Y', $today + 2629743)
                )
            ];
        }

        $related_posts = new WP_Query($related_args);

        if($related_posts->have_posts()){
            ?>
            <h4 class="section-title mb0">Conteúdo Relacionado</h4>
            <?php
            while($related_posts->have_posts()){
                $related_posts->the_post();
                templates\part('card', ['image_size' => 'card-xsmall']);
            }
            wp_reset_postdata();
        }
        ?>
        </div>
    </div>

    <div class="post-share">
        <?php $permalink = rawurlencode(get_permalink()); ?>
        <div class="post-share-label">Compartilhe:</div>
        <a class="post-share-link" href="https://www.facebook.com/sharer/sharer.php?u=<?= $permalink ?>" target="_blank">
            <i class="fa fa-facebook-official"></i>
        </a>
        <a class="post-share-link" href="mailto:?subject=<?= the_title() ?>&body=<?= $permalink ?>" target="_blank">
            <i class="fa fa-envelope"></i>
        </a>
        <a class="post-share-link" href="https://twitter.com/intent/tweet?text=<?= urlencode(get_the_title().':') . '&url='.$permalink ?>" target="_blank">
            <i class="fa fa-twitter"></i>
        </a>
        <a class="post-share-link show-for-small-only" href="whatsapp://send?text=<?= $permalink ?>" target="_blank">
            <i class="fa fa-whatsapp"></i>
        </a>
    </div>

    <div class="row">
        <?php
        $the_query = new WP_Query( array('pagename' => 'footer-single') );
        if ( $the_query->have_posts() ) {
            while ( $the_query->have_posts() ) {
                $the_query->the_post();
                the_content();
            }
            wp_reset_postdata();
        }
        ?>
    </div>
</div>


<?php get_footer(); ?>
